Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLConfig

    public interface DHTMLConfig

DHTML APIs provide APIs for users. With DHTML APIs, users can easily embed the DHTML pages or components into their own JSPs. All the methods in this interface can be invoked by remote server (RMI).

Support the running of multiple report sets in one session, and a report set can include one or more reports.

Descriptions of some key terms:

sessionId: the key of the session in the server (generated by the server automatically when you log in), and users can invoke DHTMLUtil.getSessionID(HttpServletRequest request) to get the key.

rptSetId: the key of the report set in DHTML (generated automatically after the report set has been run), and users can invoke DHTMLUtil.getRptSetId(HttpServletRequest request) to get the key.

rptName: the key of the report in DHTML (retrieved from the report set after the report set has been run), and users can invoke DHTMLUtil.getRptName(HttpServletRequest request) to get the key.

Note of using this DHTML API:

You must follow a certain order for the method which use the parameters "sessionId", "rptSetId" and "rptName" in dhtml.jsp. For example: setFeatureEnabled(String sessionId, String rptSetId, String rptName, String featureName, boolean enable) must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);", because the parameters are offered after the report set has been run. If the wrong order is used, a jsp error will be generated. And there is no specified order for the other API methods that do not use the parameters.

Method Summary
`void` | `customizeToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String toolbarname, int[] buttonId)` Customizes toolbar.
`void` | `customizeToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String toolbarname, int[] buttonId, boolean isVisible)` Customizes toolbar.
`int` | `getAutoRefreshInterval(java.lang.String sessionId, java.lang.String rptSetId)` Gets the auto refresh interval.
`java.util.Hashtable` | `getCurrentToolbarInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the current toolbar information.
`java.lang.String` | `getDHTMLContextPath(java.lang.String sessionId)` Gets the dhtml web app context path.
`java.lang.String` | `getDHTMLCssPath(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML CSS path URL.
`java.lang.String` | `getDHTMLJsPath(java.lang.String sessionId)` Gets the DHTML JavaScript path URL.
`java.lang.String` | `getDHTMLJspUrl(java.lang.String sessionId)` Gets the dhtml web app jsp url.
`java.lang.String` | `getDHTMLServletUrl(java.lang.String sessionId, java.lang.String rptSetId)` Gets the dhtml web app context path.
`java.lang.String` | `getDHTMLSkinCssPath(java.lang.String sessionId, java.lang.String rptSetId)` Gets DHTML CSS path URL.
`java.lang.String` | `getDHTMLSkinImagePath(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML images path URL.
`java.lang.String` | `getDHTMLSkinPath(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML skin path URL.
`java.util.List` | `getDHTMLSkins(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML skin list.
`java.lang.String` | `getErrorPage()` Gets the Error Page's URL.
`int` | `getFilterDisplayNameSortType(java.lang.String sessionId)` Determines the sort type of column display name in the filter dialog.
`java.lang.String` | `getHostName(java.lang.String sessionId)` Gets the server's host name.
`java.lang.String` | `getHostPort(java.lang.String sessionId)` Gets the server's host port.
`int` | `getLockScreenTimeOut(java.lang.String sessionId, java.lang.String rptSetId)` Gets the time of lock screen timeout.
`int` | `getReportScroll(java.lang.String sessionId)` Gets the report scrollbar type.
`int` | `getSearchDisplayNameSortType(java.lang.String sessionId)` Determines the sort type of column display name in the search dialog.
`ShortCutMenu` | `getShortcutMenu(java.util.Hashtable params)` Builds shortcut menu for jetObject specifically.
`int` | `getSortDisplayNameSortType(java.lang.String sessionId)` Determines the sort type of column display name in the sort dialog.
`java.lang.String[]` | `getStyle()` Gets the style names.
`java.lang.String` | `getTitle(java.lang.String sessionId)` Gets current browser's title.
`int` | `getZoomValue(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML page zoom value.
`boolean` | `isAdhoc(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether adhoc mode is enabled.
`boolean` | `isAdvanceUser(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the user is an advanced user.
`boolean` | `isCloseWindow(java.lang.String sessionId, java.lang.String rptSetId)` Gets DHTML close window mode.
`boolean` | `isComponentVisible(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String compName)` Determines whether the DHTML component is visible.
`boolean` | `isDisplayNameSortEnabled(java.lang.String sessionId)` Determines whether or not to enable the feature of sorting column display name.
`boolean` | `isFeatureEnabled(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String featureName)` Determines whether the DHTML feature is enabled.
`boolean` | `isNoFrame(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the drill frame mode is enabled.
`void` | `setAutoRefreshInterval(java.lang.String sessionId, java.lang.String rptSetId, int interval)` Sets the auto refresh interval.
`void` | `setComponentVisible(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String compName, boolean visible)` Sets the DHTML component visible.
`void` | `setDHTMLContextPath(java.lang.String sessionId, java.lang.String contextPath)` Sets the dhtml web app context path.
`void` | `setDHTMLJspUrl(java.lang.String sessionId, java.lang.String url)` Sets the dhtml web app jsp url, it can be relative or absolut path.
`void` | `setDHTMLServletUrl(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String url)` Sets the dhtml web app servlet url, it can be relative or absolut path.
`void` | `setDisplayNameSortEnabled(java.lang.String sessionId, boolean isEnabled)` Sets whether or not to enable the feature of sorting column display name.
`void` | `setErrorPage(java.lang.String url)` Sets the Error Page's URL.
`void` | `setFeatureEnabled(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String featureName, boolean enable)` Sets the DHTML feature enabled.
`void` | `setFilterDisplayNameSortType(java.lang.String sessionId, int sortType)` Sets the sort type of column display name in the filter dialog.
`void` | `setIsNoFrame(java.lang.String sessionId, java.lang.String rptSetId, boolean isNoFrame)` Sets the DHTML frame mode.
`void` | `setLockScreenTimeOut(java.lang.String sessionId, java.lang.String rptSetId, int timeOut)` Sets the time of lock screen timeout.
`void` | `setReportScroll(java.lang.String sessionId, int type)` Sets the report scrollbar type.
`void` | `setSearchDisplayNameSortType(java.lang.String sessionId, int sortType)` Sets the sort type of column display name in the search dialog.
`void` | `setSortDisplayNameSortType(java.lang.String sessionId, int sortType)` Sets the sort type of column display name in the sort dialog.
`void` | `setStyle(java.lang.String[] styles)` Sets the report style names, which should be defined in JReport Designer.
`void` | `setTitle(java.lang.String sessionId, java.lang.String title)` Sets the current browser's title.
`void` | `setUsedToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String toolbarName, boolean isShow)` Sets the toolbar's default status: shown or hidden.
`void` | `setZoomValue(java.lang.String sessionId, java.lang.String rptSetId, int zoomValue)` Sets the DHTML page zoom value.

Method Detail

### setErrorPage

    void setErrorPage(java.lang.String url)

  Sets the Error Page's URL.

  Parameters:
    `url` - the Error Page's URL.

### getErrorPage

    java.lang.String getErrorPage()

  Gets the Error Page's URL.

  Returns:
    the Error Page's URL.

### isNoFrame

    boolean isNoFrame(java.lang.String sessionId,
                      java.lang.String rptSetId)

  Determines whether the drill frame mode is enabled.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if this DHTML feature is enabled; false otherwise.

### getTitle

    java.lang.String getTitle(java.lang.String sessionId)

  Gets current browser's title.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the browser's title.

### setTitle

    void setTitle(java.lang.String sessionId,
                  java.lang.String title)

  Sets the current browser's title.

  Parameters:
    `sessionId` - the user session id.
    `title` - the browser's title.

### getDHTMLSkinPath

    java.lang.String getDHTMLSkinPath(java.lang.String sessionId,
                                      java.lang.String rptSetId)

  Gets the DHTML skin path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML skin path URL.

### getDHTMLSkinImagePath

    java.lang.String getDHTMLSkinImagePath(java.lang.String sessionId,
                                           java.lang.String rptSetId)

  Gets the DHTML images path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML images path URL.

### getDHTMLCssPath

    java.lang.String getDHTMLCssPath(java.lang.String sessionId,
                                     java.lang.String rptSetId)

  Gets the DHTML CSS path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML CSS path URL.

### getDHTMLSkinCssPath

    java.lang.String getDHTMLSkinCssPath(java.lang.String sessionId,
                                         java.lang.String rptSetId)

  Gets DHTML CSS path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML CSS path URL.

### getDHTMLJsPath

    java.lang.String getDHTMLJsPath(java.lang.String sessionId)

  Gets the DHTML JavaScript path URL.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    DHTML JavaScript path URL.

### getDHTMLSkins

    java.util.List getDHTMLSkins(java.lang.String sessionId,
                                 java.lang.String rptSetId)
                                 throws JDException

  Gets the DHTML skin list.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML skin list.
  Throws:
    `JDException`

### getStyle

    java.lang.String[] getStyle()

  Gets the style names.

  Returns:
    style names.

### setStyle

    void setStyle(java.lang.String[] styles)

  Sets the report style names, which should be defined in JReport Designer.

  Parameters:
    `styles` - the style name list.

### setIsNoFrame

    void setIsNoFrame(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      boolean isNoFrame)

  Sets the DHTML frame mode.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `isNoFrame` - is DHTML frame mode.

### customizeToolbar

    void customizeToolbar(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String toolbarname,
                          int[] buttonId)

  Customizes toolbar.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `toolbarname` - the toolbar name.
    `buttonId` - the toolbar button id list.

### customizeToolbar

    void customizeToolbar(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String toolbarname,
                          int[] buttonId,
                          boolean isVisible)

  Customizes toolbar.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `toolbarname` - the toolbar name.
    `buttonId` - the toolbar button id list.
    `isVisible` - the visible status of the toolbar.

### getCurrentToolbarInfo

    java.util.Hashtable getCurrentToolbarInfo(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String rptName)

  Gets the current toolbar information.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the current toolbar information.

### getShortcutMenu

    ShortCutMenu getShortcutMenu(java.util.Hashtable params)

  Builds shortcut menu for jetObject specifically.

  Parameters:
    `params` - input user parameter.
  Returns:
    shortcut menu object.

### isCloseWindow

    boolean isCloseWindow(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Gets DHTML close window mode.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    DHTML close window mode. true -- close the window. false -- keep the window open.

### isFeatureEnabled

    boolean isFeatureEnabled(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String featureName)

  Determines whether the DHTML feature is enabled.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `featureName` - DHTML feature Name, which should be a constant with the prefix "FEATURE_" that has been defined in the class DHTMLConstant, e.g., DHTMLConstant.FEATURE_USERINFOBAR.
  Returns:
    true if this DHTML feature is enabled; false otherwise.

### setFeatureEnabled

    void setFeatureEnabled(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           java.lang.String featureName,
                           boolean enable)

  Sets the DHTML feature enabled.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `featureName` - the DHTML feature Name, which should be a constant with the prefix "FEATURE_" that has been defined in the class DHTMLConstant, e.g., DHTMLConstant.FEATURE_USERINFOBAR.
    `enable` - If true, this DHTML feature is enabled; disabled otherwise.

### isComponentVisible

    boolean isComponentVisible(java.lang.String sessionId,
                               java.lang.String rptSetId,
                               java.lang.String compName)

  Determines whether the DHTML component is visible.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `compName` - DHTML Component name, which should be a constant with the prefix "COMP_" that has been defined in the class DHTMLConstant, e.g., DHTMLConstant.COMP_USERINFOBAR.
  Returns:
    true if this DHTML feature component is visible; false otherwise.

### setComponentVisible

    void setComponentVisible(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String compName,
                             boolean visible)

  Sets the DHTML component visible.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `compName` - DHTML Component name, which should be a constant with the prefix "COMP_" that has been defined in the class DHTMLConstant, e.g., DHTMLConstant.COMP_USERINFOBAR.
    `visible` - If true, this DHTML component is visible; disabled otherwise.

### getZoomValue

    int getZoomValue(java.lang.String sessionId,
                     java.lang.String rptSetId)

  Gets the DHTML page zoom value.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML page zoom value.

### setZoomValue

    void setZoomValue(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      int zoomValue)

  Sets the DHTML page zoom value.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `zoomValue` - the DHTML page zoom value.

### isAdhoc

    boolean isAdhoc(java.lang.String sessionId,
                    java.lang.String rptSetId)

  Determines whether adhoc mode is enabled.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if this DHTML feature is enabled; false otherwise

### getAutoRefreshInterval

    int getAutoRefreshInterval(java.lang.String sessionId,
                               java.lang.String rptSetId)

  Gets the auto refresh interval.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the auto refresh interval.

### setAutoRefreshInterval

    void setAutoRefreshInterval(java.lang.String sessionId,
                                java.lang.String rptSetId,
                                int interval)

  Sets the auto refresh interval.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `interval` - the auto refresh interval.

### getLockScreenTimeOut

    int getLockScreenTimeOut(java.lang.String sessionId,
                             java.lang.String rptSetId)

  Gets the time of lock screen timeout.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the time of lock screen timeout.

### setLockScreenTimeOut

    void setLockScreenTimeOut(java.lang.String sessionId,
                              java.lang.String rptSetId,
                              int timeOut)

  Sets the time of lock screen timeout.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `timeOut` - the time of lock screen timeout.

### isAdvanceUser

    boolean isAdvanceUser(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Determines whether the user is an advanced user.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if the user is an advanced user, false otherwise.

### getHostName

    java.lang.String getHostName(java.lang.String sessionId)

  Gets the server's host name.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the server's host name.

### getHostPort

    java.lang.String getHostPort(java.lang.String sessionId)

  Gets the server's host port.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the server's host port.

### setDisplayNameSortEnabled

    void setDisplayNameSortEnabled(java.lang.String sessionId,
                                   boolean isEnabled)

  Sets whether or not to enable the feature of sorting column display name.

  Parameters:
    `sessionId` - the user session id.
    `isEnabled` - if true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isDisplayNameSortEnabled

    boolean isDisplayNameSortEnabled(java.lang.String sessionId)

  Determines whether or not to enable the feature of sorting column display name.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    true if this DHTML feature is enabled; false otherwise.

### setSortDisplayNameSortType

    void setSortDisplayNameSortType(java.lang.String sessionId,
                                    int sortType)

  Sets the sort type of column display name in the sort dialog.

  Parameters:
    `sessionId` - the user session id.
    `sortType` - the sort type of column display name sort; the value is DHTMLConstant.SORT_ASCENDING or DHTMLConstant.SORT_DESCENDING or DHTMLConstant.SORT_NOTSORTED.

### getSortDisplayNameSortType

    int getSortDisplayNameSortType(java.lang.String sessionId)

  Determines the sort type of column display name in the sort dialog.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the sort type of column display name.

### setFilterDisplayNameSortType

    void setFilterDisplayNameSortType(java.lang.String sessionId,
                                      int sortType)

  Sets the sort type of column display name in the filter dialog.

  Parameters:
    `sessionId` - the user session id.
    `sortType` - the sort type of column display name; the value is DHTMLConstant.SORT_ASCENDING or DHTMLConstant.SORT_DESCENDING or DHTMLConstant.SORT_NOTSORTED.

### getFilterDisplayNameSortType

    int getFilterDisplayNameSortType(java.lang.String sessionId)

  Determines the sort type of column display name in the filter dialog.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the sort type of column display name.

### setSearchDisplayNameSortType

    void setSearchDisplayNameSortType(java.lang.String sessionId,
                                      int sortType)

  Sets the sort type of column display name in the search dialog.

  Parameters:
    `sessionId` - the user session id.
    `sortType` - the sort type of column display name; the value is DHTMLConstant.SORT_ASCENDING or DHTMLConstant.SORT_DESCENDING or DHTMLConstant.SORT_NOTSORTED.

### getSearchDisplayNameSortType

    int getSearchDisplayNameSortType(java.lang.String sessionId)

  Determines the sort type of column display name in the search dialog.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the sort type of column display name.

### setReportScroll

    void setReportScroll(java.lang.String sessionId,
                         int type)

  Sets the report scrollbar type.

  Parameters:
    `sessionId` - the user session id.
    `type` - the scrooll type. 0----[visible] Content is not clipped and scroll bars are not added. 1----[scroll] Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object. 2----[hidden] Content that exceeds the dimensions of the object is not shown. 3----[auto] Default. Content is clipped and scrolling is added only when necessary.

### getReportScroll

    int getReportScroll(java.lang.String sessionId)

  Gets the report scrollbar type.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    value 0----[visible] Content is not clipped and scroll bars are not added. 1----[scroll] Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object. 2----[hidden] Content that exceeds the dimensions of the object is not shown. 3----[auto] Default. Content is clipped and scrolling is added only when necessary.

### getDHTMLJspUrl

    java.lang.String getDHTMLJspUrl(java.lang.String sessionId)

  Gets the dhtml web app jsp url.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    current dhtml web app jsp url.

### getDHTMLServletUrl

    java.lang.String getDHTMLServletUrl(java.lang.String sessionId,
                                        java.lang.String rptSetId)

  Gets the dhtml web app context path.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    current dhtml web app servlet url.

### setDHTMLContextPath

    void setDHTMLContextPath(java.lang.String sessionId,
                             java.lang.String contextPath)

  Sets the dhtml web app context path.

  Parameters:
    `sessionId` - the user session id.
    `contextPath` - the web app context path.

### setDHTMLJspUrl

    void setDHTMLJspUrl(java.lang.String sessionId,
                        java.lang.String url)

  Sets the dhtml web app jsp url, it can be relative or absolut path.

  Parameters:
    `sessionId` - the user session id.
    `url` - the web app jsp url.

### setDHTMLServletUrl

    void setDHTMLServletUrl(java.lang.String sessionId,
                            java.lang.String rptSetId,
                            java.lang.String url)

  Sets the dhtml web app servlet url, it can be relative or absolut path.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `url` - the servlet url.

### getDHTMLContextPath

    java.lang.String getDHTMLContextPath(java.lang.String sessionId)

  Gets the dhtml web app context path.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    current dhtml web app context path.

### setUsedToolbar

    void setUsedToolbar(java.lang.String sessionId,
                        java.lang.String rptSetId,
                        java.lang.String rptName,
                        java.lang.String toolbarName,
                        boolean isShow)

  Sets the toolbar's default status: shown or hidden.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `toolbarName` - the toolbar name.
    `isShow` - the visible status of the toolbar.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD